Upstream information

CVE-2021-40348 at MITRE

Description

Spacewalk 2.10, and derivatives such as Uyuni 2021.08, allows code injection. rhn-config-satellite.pl doesn't sanitize the configuration filename used to append Spacewalk-specific key-value pair. The script is intended to be run by the tomcat user account with Sudo, according to the installation setup. This can lead to the ability of an attacker to use --option to append arbitrary code to a root-owned file that eventually will be executed by the system. This is fixed in Uyuni spacewalk-admin 4.3.2-1.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 7.8
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
Access Vector Network Local
Access Complexity Low Low
Privileges Required None Low
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1190040 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for SUSE Manager Server 4.1
  • spacewalk-admin >= 4.1.10-3.15.1
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Server-4.1-2021-3562
SUSE Linux Enterprise Module for SUSE Manager Server 4.2
  • cobbler >= 3.1.2-5.11.1
  • hub-xmlrpc-api >= 0.7-3.3.3
  • inter-server-sync >= 0.0.5-8.6.3
  • patterns-suma_retail >= 4.2-4.3.1
  • patterns-suma_server >= 4.2-4.3.1
  • py26-compat-salt >= 2016.11.10-11.28.9.1
  • py26-compat-tornado >= 4.2.1-3.3.1
  • py27-compat-salt >= 3000.3-7.7.11.1
  • python3-spacewalk-certs-tools >= 4.2.13-3.9.2
  • python3-spacewalk-client-tools >= 4.2.14-4.9.3
  • spacecmd >= 4.2.13-4.9.1
  • spacewalk-admin >= 4.2.9-3.6.2
  • spacewalk-backend >= 4.2.17-4.9.3
  • spacewalk-backend-app >= 4.2.17-4.9.3
  • spacewalk-backend-applet >= 4.2.17-4.9.3
  • spacewalk-backend-config-files >= 4.2.17-4.9.3
  • spacewalk-backend-config-files-common >= 4.2.17-4.9.3
  • spacewalk-backend-config-files-tool >= 4.2.17-4.9.3
  • spacewalk-backend-iss >= 4.2.17-4.9.3
  • spacewalk-backend-iss-export >= 4.2.17-4.9.3
  • spacewalk-backend-package-push-server >= 4.2.17-4.9.3
  • spacewalk-backend-server >= 4.2.17-4.9.3
  • spacewalk-backend-sql >= 4.2.17-4.9.3
  • spacewalk-backend-sql-postgresql >= 4.2.17-4.9.3
  • spacewalk-backend-tools >= 4.2.17-4.9.3
  • spacewalk-backend-xml-export-libs >= 4.2.17-4.9.3
  • spacewalk-backend-xmlrpc >= 4.2.17-4.9.3
  • spacewalk-base >= 4.2.23-3.9.3
  • spacewalk-base-minimal >= 4.2.23-3.9.3
  • spacewalk-base-minimal-config >= 4.2.23-3.9.3
  • spacewalk-certs-tools >= 4.2.13-3.9.2
  • spacewalk-client-tools >= 4.2.14-4.9.3
  • spacewalk-html >= 4.2.23-3.9.3
  • spacewalk-java >= 4.2.30-3.14.4
  • spacewalk-java-config >= 4.2.30-3.14.4
  • spacewalk-java-lib >= 4.2.30-3.14.4
  • spacewalk-java-postgresql >= 4.2.30-3.14.4
  • spacewalk-taskomatic >= 4.2.30-3.14.4
  • spacewalk-utils >= 4.2.14-3.9.3
  • spacewalk-utils-extras >= 4.2.14-3.9.3
  • subscription-matcher >= 0.27-6.3.1
  • supportutils-plugin-susemanager >= 4.2.3-3.3.2
  • susemanager >= 4.2.25-3.13.1
  • susemanager-doc-indexes >= 4.2-12.11.3
  • susemanager-docs_en >= 4.2-12.11.1
  • susemanager-docs_en-pdf >= 4.2-12.11.1
  • susemanager-schema >= 4.2.18-3.9.3
  • susemanager-sls >= 4.2.18-3.11.1
  • susemanager-sync-data >= 4.2.9-3.9.1
  • susemanager-tools >= 4.2.25-3.13.1
  • susemanager-web-libs >= 4.2.23-3.9.3
  • uyuni-config-modules >= 4.2.18-3.11.1
  • virtualization-formulas >= 0.6.1-8.3.1
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Server-4.2-2021-3561
SUSE Manager Proxy 4.2
  • release-notes-susemanager-proxy >= 4.2.3-3.15.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.2-2021-3551
SUSE Manager Retail Branch Server 4.2
  • release-notes-susemanager-proxy >= 4.2.3-3.15.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.2-2021-3551
SUSE Manager Server 4.2
  • release-notes-susemanager >= 4.2.3-3.19.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.2-2021-3551


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Manager Server 4.2 release-notes-susemanager Released
SUSE Manager Server 4.3 release-notes-susemanager Analysis
SUSE Manager Server Module 4.0 spacewalk-admin Unsupported
SUSE Manager Server Module 4.1 spacewalk-admin Released
SUSE Manager Server Module 4.2 spacewalk-admin In progress
SUSE Manager Server Module 4.3 spacewalk-admin Analysis